Documentation

API Referansı

Mesajlar, akış (streaming), token sayımı, sohbet tamamlama ve yanıtlar için temel GateBeyz API desenleri.

Mesaj oluştur

Anthropic Mesaj tarzı uç noktasını kullanarak mevcut herhangi bir modele mesaj gönderin.

POST /v1/messages

shell
curl https://api.gatebeyz.xyz/v1/messages \
  -H "x-api-key: sk-gb-replace-with-your-key" \
  -H "anthropic-version: 2023-06-01" \
  -H "content-type: application/json" \
  -d '{
    "model": "claude-sonnet-4-5",
    "max_tokens": 1024,
    "messages": [{ "role": "user", "content": "Hello!" }]
  }'

Akış (Streaming)

Sunucu tarafından gönderilen olayları almak için stream: true ekleyin.

Akış gövdesi

json
{
  "model": "claude-sonnet-4-5",
  "max_tokens": 1024,
  "stream": true,
  "messages": [{ "role": "user", "content": "Write a haiku" }]
}

Gelişmiş düşünme

Atanan hesabınız izin verdiğinde desteklenen modeller için Claude akıl yürütmeyi etkinleştirin.

Düşünme gövdesi

json
{
  "model": "claude-opus-4-6",
  "max_tokens": 16000,
  "stream": true,
  "thinking": {
    "type": "enabled",
    "budget_tokens": 10000
  },
  "messages": [{ "role": "user", "content": "Solve this step by step" }]
}

Token sayımı

POST /v1/messages/count_tokens

shell
curl https://api.gatebeyz.xyz/v1/messages/count_tokens \
  -H "x-api-key: sk-gb-replace-with-your-key" \
  -H "anthropic-version: 2023-06-01" \
  -H "content-type: application/json" \
  -d '{ "model": "claude-sonnet-4-5", "messages": [{ "role": "user", "content": "Hello!" }] }'

OpenAI uyumlu uç noktalar

Sohbet Tamamlama tarzı istemciler için /v1/chat/completions ve daha yeni Responses API istemcileri için /v1/responses kullanın.

POST /v1/chat/completions

shell
curl https://api.gatebeyz.xyz/v1/chat/completions \
  -H "Authorization: Bearer sk-gb-replace-with-your-key" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "claude-sonnet-4-5",
    "messages": [
      { "role": "system", "content": "You are helpful." },
      { "role": "user", "content": "Hello!" }
    ],
    "max_tokens": 1024
  }'
Destek notları

- Bu dokümanlar, bir sayfa açıkça Claude Kredileri demediği sürece ana aylık GateBeyz API ürününe göre varsayılır.

- Ana ürün varsayılanları: Anthropic tarzı araçlar için https://api.gatebeyz.xyz, OpenAI uyumlu istemciler için https://api.gatebeyz.xyz/v1.

- Claude Kredileri, kendine ait ayrı sk-gb anahtarıyla birlikte https://anthropic.gatebeyz.xyz adresini kullanır.

- Panel yalnızca maskelenmiş bir anahtar gösteriyorsa, önce onu sıfırlayın veya destekten yardım isteyin.

- Planınız hala inceleniyorsa, model erişimi hesap bazında bir süreliğine değişebilir.

- Contact: hello@gatebeyz.xyz

Ürün yolları

Ana aylık API ürünü

These docs mainly describe the main monthly API flow.

Claude Kredileri

One-time Anthropic-compatible relay packs stay on a separate pricing and dashboard surface.

Ana API yer tutucuları

API anahtarı

sk-gb-replace-with-your-key

Temel URL

https://api.gatebeyz.xyz